org.apache.catalina.connector

## Class ClientAbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.catalina.connector.ClientAbortException

- All Implemented Interfaces:
    java.io.Serializable

      public final class ClientAbortException
      extends java.io.IOException

  Wrap an IOException identifying it as being caused by an abort of a request by a remote client.
  Author:
    Glenn L. Nielsen
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `message` Deprecated. Use `Throwable.getMessage()`
    `protected java.lang.Throwable` | `throwable` Deprecated. Use `Throwable.getCause()`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAbortException()` Construct a new ClientAbortException with no other information.
    `ClientAbortException(java.lang.String message)` Construct a new ClientAbortException for the specified message.
    `ClientAbortException(java.lang.String message, java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified message and throwable.
    `ClientAbortException(java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified throwable.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### message

          @Deprecated
          protected java.lang.String message

      Deprecated. Use `Throwable.getMessage()`
      The error message passed to our constructor (if any)

    - #### throwable

          @Deprecated
          protected java.lang.Throwable throwable

      Deprecated. Use `Throwable.getCause()`
      The underlying exception or error passed to our constructor (if any)

  - ### Constructor Detail

    - #### ClientAbortException

          public ClientAbortException()

      Construct a new ClientAbortException with no other information.

    - #### ClientAbortException

          public ClientAbortException(java.lang.String message)

      Construct a new ClientAbortException for the specified message.
      Parameters:
        `message` - Message describing this exception

    - #### ClientAbortException

          public ClientAbortException(java.lang.Throwable throwable)

      Construct a new ClientAbortException for the specified throwable.
      Parameters:
        `throwable` - Throwable that caused this exception

    - #### ClientAbortException

          public ClientAbortException(java.lang.String message,
                              java.lang.Throwable throwable)

      Construct a new ClientAbortException for the specified message and throwable.
      Parameters:
        `message` - Message describing this exception
        `throwable` - Throwable that caused this exception

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.